.modal-content {
  .border(@radius: 5);
  border: 1px solid transparent;
  box-shadow: none;
}

#modalLogin {
  .modal-dialog {
    width: 360px;
    .modal-content {
      .border(@radius: 5);
      width: 360px;

      .box {

        .alert-content {
          display: none;

          &.active {
            display: inline-block;
          }

          .alert {
            padding-left: 15px;
            padding-right: 15px
          }
        }


        &.login {
          border: none;
          margin-top: 0;
          margin-bottom: 0;
        }
      }



    }
  }
}

#modalPostVotesList {
  .modal-dialog {
    width: 450px;
    .modal-content {
      .border(@radius: 5);
      width: 450px;
      .modal-title {
        &:first-letter {
          text-transform: capitalize;
        }
      }
      .modal-body {
        padding-bottom: 5px;
      }
    }
  }
}

#modalReportPost,
#modalVote {
  .modal-dialog {
    .modal-content {
      .modal-header {
        .modal-title {
        }
      }
      .modal-body {

        .small-title {
          font-size: 14px;
          font-weight: 500;
          margin-bottom: 15px;
          margin-top: 5px;
        }
        .report-list {
          ul {
            margin-bottom: 10px;
            li {
              margin-bottom: 10px;
              font-size: 14px;
              &:last-child {
                margin-bottom: 0;
              }
            }
          }
        }

        .report-strong,
        .vote-strong-remove,
        .vote-strong {
          width: 100%;
          display: inline-block;
          font-size: 18px;
          font-weight: 500;
          color: @basePurple;
          text-align: center;
          margin-bottom: 25px;
          margin-top: 15px;

          .report-value,
          .vote-value {
            display: inline-block;
            width: 45px;
            margin-left: 5px;
          }

          .report-value {
            margin-left: 8px;
          }

        }

        .report-strong {
          color: @baseRed;
        }

        .vote-strong-remove {
          display: none;
          &.active {
            display: inline-block;
          }
        }
        .slider-content {
          width: 100%;
          display: inline-block;
          margin-bottom: 25px;
          padding-left: 10px;
          padding-right: 10px;

        }
        .btn-red,
        .btn-primary {
          margin-left: 25px;
        }

      }
    }
  }
}

#modalReportPost {

}

#modalRestrim {
  .modal-dialog {
    .modal-content {
      .modal-header {
        .modal-title {
        }
      }
      .modal-body {
        #reStrimTitle {
          color: @greenBase;
          font-size: 16px;
          line-height: 20px;
          font-weight: 500;
          font-style: italic;
        }

      }
    }
  }
}

#modalNotification {
  .modal-dialog {
    .modal-content {

      .modal-body {
        padding: 0;

      }

      .modal-header {
        .modal-title {
          display: inline-block;
        }
        #notification-clear {
          .borderCorner(3,3,3,3);
          background-color: @sidebarBackground;
          display: inline-block;
          font-size: 13px;
          font-weight: 500;
          margin-left: 15px;
          padding-left: 5px;
          padding-right: 5px;
          padding-bottom: 3px;
          padding-top: 3px;

          &:hover {
            .trans(0.2s);
            background-color: @basePurple;
            color: @white;
            cursor: pointer;
          }

        }
      }
      .modal-body {
      }
    }
  }
}


#modalAuthorization {
  .modal-dialog {
    width: 360px;
    text-align: center;

    .alert-active-verification-content {
      display: none;
      font-weight: 500;
      &.active {
        display: inline-block;
      }
      .alert {
        padding-left: 15px;
        padding-right: 15px
      }
    }

    .AuthorizationKeyForm {
      &.hidden {
        .trans(0.2s);
      }
    }

    #authorization-login {
      margin-bottom: 15px;
    }
    
    .description {
      margin: 0 auto;
      margin-bottom: 15px;
      font-size: 14px;
      line-height: 22px;
      font-weight: 500;
      color: fade(@basePurple, 50%);
    }

    #submit-modal-authorization {
      .border(@radius: 5);
      position: relative;
      background-color: @basePurple;
      border-color: @basePurple;
      border: none;
      color: @white;
      font-weight: 400;
      width: 100%;
      text-align: center;
      font-size: 16px;
      display: inline-block;
      height: 45px;
      margin-top: 15px;
      line-height: 43px;
      outline: none;

      &.active-loading,
      &:hover {
        .trans(@second: 0.2s);
        background-color: fade(@btn-primary, 87%);
        color: @white;
        cursor: pointer;
      }

      .submit-text {
        margin-right: 11px;
      }

      #authorization-key-loading {
        top: 11px;
        right: auto;
        margin: 0 auto;
    }


    }

    .submit-modal-authorization-success {
      display: none;
      height: 45px;
      line-height: 43px;
      font-size: 32px;
      color: @greenBase;
      width: 100%;

      &.active {
        .trans(0.2s);
        display: inline-block;
      }

    }

    input {
      height: 45px;
    }


  }




}
